- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ActionExecutionDetail
Executes a plugin instance in the API hub.
HTTP request
POST https://apihub.googleapis.com/v1/{name=projects/*/locations/*/plugins/*/instances/*}:executeAction
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the plugin instance to execute. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"actionExecutionDetail": {
object ( |
| Fields | |
|---|---|
actionExecutionDetail |
Required. The execution details for the action to execute. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/apihub.readwritehttps://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the name resource:
apihub.plugininstances.execute
For more information, see the IAM documentation.
ActionExecutionDetail
The details for the action to execute.
| JSON representation |
|---|
{ "actionId": string } |
| Fields | |
|---|---|
actionId |
Required. The action id of the plugin to execute. |